Loading...
Searching...
No Matches
fastjet::ATLASConePlugin Class Reference
Plugins for non-native jet definitions

Implementation of the ATLAS Cone (plugin for fastjet v2.4 upwards). More...

`#include <fastjet/ATLASConePlugin.hh>`

Inheritance diagram for fastjet::ATLASConePlugin:
[legend]
Collaboration diagram for fastjet::ATLASConePlugin:
[legend]

## Public Member Functions

| ATLASConePlugin (double radius, double seedPt_in=2.0, double f_in=0.5)
| Main constructor for the ATLASCone Plugin class.
| ATLASConePlugin (const ATLASConePlugin &plugin)
| copy constructor
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list
double | seedPt () const
| seed threshold
double | f () const
| split-merge overlap threshold
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the ATLAS Cone (plugin for fastjet v2.4 upwards).

Definition at line 52 of file ATLASConePlugin.hh.

## Constructor & Destructor Documentation

## ATLASConePlugin() [1/2]

fastjet::ATLASConePlugin::ATLASConePlugin | ( | double | radius,
|  | double | seedPt_in = 2.0,
|  | double | f_in = 0.5 )

inline

Main constructor for the ATLASCone Plugin class.

Apparently the default parameters in the ATLAS software are the ones used here. SpartyJet uses a radius of 0.7, a seed threshold of 1 GeV and an overlap threshold of 0.75 For the ATLAS SW defaults, see http://atlas-sw.cern.ch/cgi-bin/viewcvs-atlas.cgi/groups/JetRoutines/SpartyJet/atlas/ in the JetdoneFinderTools.cxx (rev1.1) and JetSplitMergeTool.cxx (rev1.1) For SpartyJet, see atlas/ConeFinderTool.h

Finally, to agree with FastJet standards, we do not specify a default R, that in the ATLAS code is 0.7

Definition at line 66 of file ATLASConePlugin.hh.

## ATLASConePlugin() [2/2]

fastjet::ATLASConePlugin::ATLASConePlugin | ( | const ATLASConePlugin & | plugin | ) |

inline

copy constructor

Definition at line 70 of file ATLASConePlugin.hh.

## Member Function Documentation

## description()

string fastjet::ATLASConePlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 50 of file ATLASConePlugin.cc.

## run_clustering()

void fastjet::ATLASConePlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 58 of file ATLASConePlugin.cc.

## R()

virtual double fastjet::ATLASConePlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list

Implements fastjet::JetDefinition::Plugin.

Definition at line 80 of file ATLASConePlugin.hh.

## seedPt()

double fastjet::ATLASConePlugin::seedPt | ( |  | ) | const

inline

seed threshold

Definition at line 84 of file ATLASConePlugin.hh.

## f()

double fastjet::ATLASConePlugin::f | ( |  | ) | const

inline

split-merge overlap threshold

Definition at line 87 of file ATLASConePlugin.hh.

The documentation for this class was generated from the following files:

- plugins/ATLASCone/fastjet/ATLASConePlugin.hh
- plugins/ATLASCone/ATLASConePlugin.cc